Subject: Re: [PATCH]: altq HFSC port

From: Patrick McHardy <[email-masked]>
Date: Mon, 26 Jan 2004 19:47:02 +0100

David S. Miller wrote:
>    From: jamal <[email-masked]>
>    Date: 26 Jan 2004 09:46:16 -0500
> 
>    On Mon, 2004-01-26 at 07:02, Patrick McHardy wrote:
>    > The last issue is the License: The altq version is released under a
>    > BSD-style License without advertising clause (the original authors
>    > kindly agreed to remove it). It is my understanding that this is
>    > compatible with the GPL, and because the code includes some minor
>    > amounts of GPL'ed code the correct License is GPL and not
>    > Dual BSD/GPL. I would be glad if someone can confirm that this is
>    > correct.
>    
>    This is probably the most contentious issue (given say current SCO
>    stoopidty).
>    Have you talked to the original author on this? I think granting you
>    written consent to move to GPL may be sufficient.
> 
> Yes, let's get this worked out before we stuff it into the tree :)
> 
> Patrick, please ask the original author if it's OK to make your
> instance of the Linux port pure GPL'd.
> 

This mail from Alan states that BSD without advertising clause linked
with GPL ends up as GPL anyways, so I'm not sure if there is a problem.
http://www.ussg.iu.edu/hypermail/linux/kernel/0110.2/0924.html
I'm going to look for some more information before bothering the
authors with License stuff again.

Best regards,
Patrick